Bug 569099 - Review Request: rubygem-parseconfig - Ruby Configuration File Parser
Review Request: rubygem-parseconfig - Ruby Configuration File Parser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-27 23:13 EST by BJ Dierkes
Modified: 2010-04-26 22:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: rubygem-parseconfig-0.5.2-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 12:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description BJ Dierkes 2010-02-27 23:13:29 EST
Spec URL: http://5dollarwhitebox.org/tmp/rubygem-parseconfig.spec
SRPM URL: http://5dollarwhitebox.org/tmp/rubygem-parseconfig-0.5.2-1.src.rpm
Description: ParseConfig is a Ruby class written to parse standard *nix style configuration files in the format of 'param = value'. The key benefit is that your ruby scripts can use the same configuration files of most unix/linux applications.

Copied this spec from rubygem-cobbler as a starting point.  Did not add Requires: ruby(abi) as I don't see where that is provided in EPEL.. perhaps need to add some condition checks for elX/fcX builds?

Thanks.
Comment 1 Mamoru TASAKA 2010-04-04 15:21:15 EDT
Some initial comments:

* %define -> %global
  - Now we prefer to use %global instead of %define:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* Unused macros
  - %ruby_sitelib, %installroot seem to be used nowhere.

* About URL
  - Well, usually rubygems can be found at
    http://rubygems.org/gems/%{gemname}-%{version}.gem
    ( Previously: http://gems.rubyforge.org/gems/%{gemname}-%{version}.org
      Now it seems that gems.rubyforge.org is redirected to
      http://rubygems.org )
    and we usually suggest to use this URL, however currently only
    version 0.5 of parseconfig gem is found from this site.

    As you seem to be the upstream of this software, perhaps you can
    request to make 0.5.2 gem hosted on rubygems.org.

* ruby(abi) dependency
  - Please add (note that at least EL-5 ruby-libs has Provides: ruby(abi),
    although EL-4 ruby-libs does not)

* %check
  - is currently not needed for this package (just changing working
    directory is not needed)

* build failure
  - Build fails at least on F-13:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2094635

    ! Note
      rubygems >= 1.3.3 will automatically generate ri manuals by default.

* Directory ownership issue
  - At least the following directories themselves are not owned 
    by any packages:
-----------------------------------------------------------------------
%{geminstdir}/
%{geminstdir}/lib/
-----------------------------------------------------------------------
    https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
    https://fedoraproject.org/wiki/Packaging:UnownedDirectories#Forgetting_to_Include_a_Toplevel_Directory

* Permission on parseconfig.rb
  - %{geminstdir}/lib/parseconfig.rb need not have executable permission,
    and need not have shebang.
Comment 2 BJ Dierkes 2010-04-05 15:06:05 EDT
Thank you for the feedback.  I think I've corrected everything:

Spec URL: http://5dollarwhitebox.org/tmp/rubygem-parseconfig.spec
SRPM URL: http://5dollarwhitebox.org/tmp/rubygem-parseconfig-0.5.2-2.fc12.src.rpm
Comment 3 Mamoru TASAKA 2010-04-05 15:56:15 EDT
Well,

- Now "# This URL always changes" comment is not needed.
- build.log shows:
----------------------------------------------------------------
    56  Processing files: rubygem-parseconfig-0.5.2-2.fc13.noarch
    57  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/parseconfig-0.5.2/Changelog
    58  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/parseconfig-0.5.2/LICENSE
    59  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/parseconfig-0.5.2/README
    60  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/parseconfig-0.5.2/demo.conf
    61  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/parseconfig-0.5.2/demo.rb
----------------------------------------------------------------
  Please make it sure that every file and directory is listed
  only once.
Comment 5 Mamoru TASAKA 2010-04-05 16:37:17 EDT
Okay.

-----------------------------------------------------------------
  This package (rubygem-parseconfig) is APPROVED by mtasaka
-----------------------------------------------------------------
Comment 6 BJ Dierkes 2010-04-05 16:59:02 EDT
New Package CVS Request
=======================
Package Name: rubygem-parseconfig
Short Description: Ruby Configuration File Parser
Owners: derks
Branches: F-12 F-13 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2010-04-07 22:28:17 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-04-08 12:56:09 EDT
rubygem-parseconfig-0.5.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-parseconfig-0.5.2-3.fc12
Comment 9 Fedora Update System 2010-04-08 12:56:13 EDT
rubygem-parseconfig-0.5.2-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-parseconfig-0.5.2-3.fc13
Comment 10 Fedora Update System 2010-04-08 12:56:18 EDT
rubygem-parseconfig-0.5.2-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-parseconfig-0.5.2-3.el5
Comment 11 Fedora Update System 2010-04-09 00:09:03 EDT
rubygem-parseconfig-0.5.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-parseconfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-parseconfig-0.5.2-3.fc13
Comment 12 Mamoru TASAKA 2010-04-09 12:36:14 EDT
Closing.
Comment 13 Fedora Update System 2010-04-26 19:25:32 EDT
rubygem-parseconfig-0.5.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-04-26 22:12:19 EDT
rubygem-parseconfig-0.5.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-04-26 22:32:11 EDT
rubygem-parseconfig-0.5.2-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.